﻿package 
{

	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.events.Event;
	import flash.ui.Mouse;
	import flash.ui.MouseCursor;

	public class Parallax extends MovieClip
	{

		private var viewportWidth:Number;
		private var startingPoint:Number;
		private var turbulence:Number = 0;
		private var speed:Number = 2;

		public function Parallax()
		{
			viewportWidth = viewportMC.width;
			startingPoint = mainScene.x;

			Mouse.cursor = MouseCursor.BUTTON;

			stage.addEventListener(MouseEvent.MOUSE_DOWN, startScrolling);
			stage.addEventListener(MouseEvent.MOUSE_UP, stopScrolling);
		}

		private function startScrolling(e:MouseEvent)
		{
			stage.addEventListener(Event.ENTER_FRAME, sceneLoop, false);
		}

		private function stopScrolling(e:MouseEvent)
		{
			stage.removeEventListener(Event.ENTER_FRAME, sceneLoop, false);
		}

		private function sceneLoop(e:Event)
		{
			if (stage.mouseX > viewportWidth/2)
			{
				var currentPosition:Number = Math.abs(mainScene.water.x) + Math.abs(startingPoint) + viewportWidth;
				trace(currentPosition);
				if (mainScene.water.width > currentPosition - 10)
				{
					mainScene.water.x -=  speed * 2;
					mainScene.ground.x -=  speed * 1.5;
					mainScene.buildingsOne.x -=  speed * 1;
					mainScene.buildingsTwo.x -=  speed * .5;
					mainScene.buildingsThree.x -=  speed * .25;
					mainScene.sky.x -=  speed * .1;
				}
			}
			else if (mainScene.water.x < (Math.abs(startingPoint)-10))
			{
				mainScene.water.x +=  speed * 2;
				mainScene.ground.x +=  speed * 1.5;
				mainScene.buildingsOne.x +=  speed * 1.5;
				mainScene.buildingsTwo.x +=  speed * 1;
				mainScene.buildingsThree.x +=  speed * .25;
				mainScene.sky.x +=  speed * .1;
			}
		}
	}

}